<HTML>

<HEAD>
<TITLE>Gestione contatore ordini</TITLE>
</HEAD>

<BODY>

<?
/* inizializzazione dei parametri comuni */
include("../config.php3");

/* pasticcio per il logo... */
$Logo   = "../images/$Logo";
$BackLink = "./index.php3";


/*	*****************************
 *	FUNZIONI DI UTILITA` GENERALE
 *	*****************************/

/* quelle in comune le carico da qui... */
include("./common.php3");


/* do una ripulitina cancellando le vecchie entry che non servono, in
   teoria ne basta una, l'ultima */
function Cleanup($N) {

global $DBConn;


/* lock */
pg_Exec($DBConn, "BEGIN TRANSACTION");

if ($N != 0)
	$result = pg_Exec($DBConn, "DELETE FROM Progressivo WHERE ( Numero < $N)");
else
	$result = pg_Exec($DBConn, "DELETE FROM Progressivo");

if ($result)
	pg_Exec($DBConn, "COMMIT");
else
	pg_Exec($DBConn, "ROLLBACK");

/* ritorno */
return($result);

}



/*	********************
 *	PROGRAMMA PRINCIPALE
 *	********************/

/* Header standard */
include("../head.php3");

/* sanity default... */
if ($argv[0] == "" ):
	$argv[0] = "list";
endif;


switch ($argv[0]) {

/*	Modalita` LISTA, menu principale... */
case "list":

	/* apro la connessione */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	$N = GetNord();
	if ( $N < 0 ) {
		echo "c'e` un problema determinando il contatore<BR>";
		pg_ErrorMessage($DBConn);
	} else {?>

	<B>Valore corrente del contatore: <?echo $N?></B><P>

	<CENTER>
	<TABLE WIDTH=50%>
	<TR>
	<TD ALIGN=left><A HREF="<?echo $PHP_SELF?>?cleanup+&N=<?echo $N?>">
		Ottimizza</A></TD>
	<TD ALIGN=right><A HREF="<?echo $PHP_SELF?>?azzera">
		Azzera</A></TD>
	</TR>
	</TABLE>
	</CENTER><P>

	<?}
	pg_close($DBConn);
	break;


case "cleanup":

	/* apro la connessione */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	if (!Cleanup($N)) {
		echo "c'e` un problema ottimizzando il contatore<BR>";
		pg_ErrorMessage($DBConn);
	} else
		echo "<B>Contatore ottimizzato, vecchi valori rimossi</B><P>";

	pg_close($DBConn);
	break;


case "azzera": ?>

	<B><CENTER>
		ATTENZIONE!!!
	</CENTER></B><P>
	Azzerare il contatore puo` essere <B>Molto</B> pericoloso, e`
	una operazione da compiere <B>Assolutamente</B> solo a inizio
	giornata!!!<P>

	Sei sicuro di voler azzerare il contatore?<P>

	<A HREF="<?echo $PHP_SELF?>?azzera_2">Si</A>

	<?break;


case "azzera_2": ?>

	<B><CENTER>
		ATTENZIONE!!!
	</CENTER></B><P>
	Azzerare il contatore puo` essere <B>Molto</B> pericoloso, e`
	una operazione da compiere <B>Assolutamente</B> solo a inizio
	giornata!!!<P>

	Sei Proprio sicuro di voler azzerare il contatore?<P>

	<A HREF="<?echo $PHP_SELF?>?real_azzera">Si</A>

	<?break;


case "real_azzera":

	/* apro la connessione */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	if (!Cleanup(0)) {
		echo "c'e` un problema azzerando il contatore<BR>";
		pg_ErrorMessage($DBConn);
	} else
		echo "<B>Contatore azzerato</B><P>";

	pg_close($DBConn);
	break;	

}


/* Footer standard */
include("../tail.php3")?>

</BODY>
</HTML>

