<HTML>

<HEAD>
<TITLE>Gestione Pietanze</TITLE>
</HEAD>

<BODY>

<?
/* inizializzazione dei parametri comuni */
include("../config.php3");

/* pasticcio per il logo... */
$Logo   = "../images/$Logo";
$BackLink = "./index.php3";


/*	*****************************
 *	FUNZIONI DI UTILITA` GENERALE
 *	*****************************/

/* quelle in comune le carico da qui... */
include("./common.php3");


/*	****************************
 *	FUNZIONI DI MANIPOLAZIONE BD
 *	****************************/

/* Elimino il piatto con IDPiatto = ID
   E` da notare che questo dovrebbe automaticamente richiamare
   l'integrita` referenziale, e quindi porre a NULL tutte i riferimenti
   nella tabella ``Composizione''. Chiaramente questo con MySQL non
   accade, ma da comunque un prezzo zero e il risultato e` lo stesso O;) */
function Cancella($ID) {

global $DBConn;


/* elimino il record incriminato */
$result = pg_exec($DBConn, "DELETE FROM Piatto WHERE (IDPiatto = '$ID')");

return($result);

}


/* inserisco un record... */
function Inserisci($Piatto) {

global $DBConn;


/* eseguo l'inserimento... */
$result = pg_exec($DBConn, "INSERT INTO Piatto VALUES ('$Piatto[idpiatto]', '$Piatto[nomepiatto]', '$Piatto[descrizione]', '$Piatto[tipo]', '$Piatto[ord]', '$Piatto[prezzo]')");

return($result);

}


/* modifico un record... */
function Modifica($Piatto) {

global $DBConn;


/* eseguo l'inserimento... */
$result = pg_exec($DBConn, "UPDATE Piatto SET NomePiatto='$Piatto[nomepiatto]', Descrizione='$Piatto[descrizione]', Tipo='$Piatto[tipo]', Ord='$Piatto[ord]', Prezzo='$Piatto[prezzo]' WHERE (IDPiatto = '$Piatto[idpiatto]')");

return($result);

}



/*	*****************************************************
 *	FUNZIONI PER LA GESTIONE DELLA VISUALIZZAZIONE/STAMPA
 *	*****************************************************/

/* Form di inserimento e modifica dei dati */
function StampaFormInserimento($Piatto, $URL) {


/* determino il tipo di campo nella form (se e` una modifica non devo
   modificare l'ID, e quindi deve essere hidden e semplicemente lo
   stampo) */
if ($Piatto[idpiatto] == "") {
	$f = "text";
} else {
	$f = "hidden";
}?>

<FORM ACTION="<?echo $URL?>" METHOD="POST">
<TABLE>
<TR>	<TD><B>IDPiatto</B></TD>
	<TD COLSPAN=2><?echo "$Piatto[idpiatto]"?><INPUT NAME="ID" TYPE="<?echo $f?>"
		VALUE="<?echo $Piatto[idpiatto]?>" SIZE=2 MAXLENGTH=2></TD></TR>
<TR>	<TD><B>NomePiatto</B></TD>
	<TD COLSPAN=2><INPUT NAME="Nome" TYPE=text MAXLENGTH=20
		VALUE="<?echo $Piatto[nomepiatto]?>"></TD></TR>
<TR>	<TD><B>Descrizione</B></TD>
	<TD COLSPAN=2><INPUT NAME="Descrizione" TYPE=text MAXLENGTH=50
		VALUE="<?echo $Piatto[descrizione]?>"></TD></TR>
<TR>	<TD><B>Tipo</B></TD>
	<TD COLSPAN=2>
	Cucina	<INPUT NAME="Tipo" TYPE=radio VALUE="C" <?if (($Piatto[tipo] == "C") || ($Piatto[tipo] == "")) { echo "CHECKED"; }?>>
	Bar	<INPUT NAME="Tipo" TYPE=radio VALUE="B" <?if ($Piatto[tipo] == "B") { echo "CHECKED"; }?>>
	</TD></TR>
<TR>	<TD><B>Ordine di stampa</B></TD>
	<TD COLSPAN=2><INPUT NAME="Ord" TYPE=text MAXLENGTH=3 SIZE=3
		VALUE="<?echo $Piatto[ord]?>">
	(per l'ordinamento in vis. e stampa)</TD></TR>
<TR>	<TD><B>Prezzo</B></TD>
	<TD COLSPAN=2><INPUT NAME="Prezzo" TYPE=text MAXLENGTH=5 SIZE=5
		VALUE="<?echo $Piatto[prezzo]?>"></TD></TR>
<TR>	<TD></TD>
	<TD><INPUT TYPE=submit VALUE="Ok"></TD>
	<TD><INPUT TYPE=reset VALUE="Azzera tutto"></TD>
</TABLE>
</FORM><P>	

<?return(true);

}



/*	********************
 *	PROGRAMMA PRINCIPALE
 *	********************/

/* Header standard */
include("../head.php3");

/* sanity default... */
if ($argv[0] == "" ):
	$argv[0] = "list";
endif;

/* Mi devo ricopiare le variabili... */
if ($ID != "" ) {
	$Piatto[idpiatto] = $ID;
	$Piatto[nomepiatto] = $Nome;
	$Piatto[descrizione] = $Descrizione;
	$Piatto[tipo] = $Tipo;
	$Piatto[ord] = $Ord;
	$Piatto[prezzo] = $Prezzo;
}


switch ($argv[0]) {

/*	Modalita` LISTA */
case "list":

	echo "<B>Pietanze Correnti</B><P>";

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	/* seleziono i nominativi... */
	$result = StampaLista("SELECT * FROM Piatto ORDER BY Ord");
	if (!$result) {
		echo "Problema facendo SELECT<P>";
		pg_ErrorMessage($DBConn);
	} else {?>

	<CENTER>
	<TABLE WIDTH=50%>
	<TR>
	<TD ALIGN=left><A HREF="<?echo $PHP_SELF?>?inserisci">
		Inserisci</A></TD>
	<TD ALIGN=center><A HREF="<?echo $PHP_SELF?>?modifica">
		Modifica</A></TD>
	<TD ALIGN=right><A HREF="<?echo $PHP_SELF?>?cancella">
		Cancella</A></TD>
	</TR>
	</TABLE>
	</CENTER><P>

	<?}
	pg_Close($DBConn);
	break;

/*	Modalita` inserimento*/
case "inserisci":

	echo "<B>Inserisci una Pietanza</B><P>";

	StampaFormInserimento("", "$PHP_SELF?real_insert")?>

	<A HREF="<?echo $PHP_SELF?>?list">Annulla, ritorna all'inizio</A><P>

	<?break;


/*	Cancellazione prima parte */
case "cancella":

	echo "<B>Seleziona una Pietanza da cancellare</B><P>";

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	$result = StampaFormSelezione("$PHP_SELF?cancella_2", "SELECT * FROM Piatto ORDER BY Ord", idpiatto, nomepiatto, "");
	if (!$result) {
		echo "Problema facendo SELECT<P>";
		pg_ErrorMessage($DBConn);
	}

	pg_Close($DBConn);
	break;


/*	Cancellazione seconda parte */
case "cancella_2": ?>

	<BF>Sei sicuro di voler cancelare la pietanza:</BF><P>

	<?/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	/* stampo il nominativo... */
	$ID = strtok($Selezione, " ");
	$result = StampaLista("SELECT * FROM Piatto WHERE (IDPiatto = '$ID') ORDER BY Ord");
	if (!$result) {
		echo "Stai cercando di cancellare una pietanza inesistente<P>";
		echo "o c'e` qualche altro errore...<P>";
		pg_ErrorMessage($DBConn);
	} else {?>

	<A HREF="<?echo $PHP_SELF?>?real_delete+&ID=<?echo $ID?>">Si</A>
	<A HREF="<?echo $PHP_SELF?>?list">No, ritorna all'inizio</A>
	</BODY></HTML>

	<?}
	pg_Close($DBConn);
	break;


/*	Modifica */
case "modifica":

	echo "<B>Seleziona una Pietanza da modificare</B><P>";

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	$result = StampaFormSelezione("$PHP_SELF?modifica_2", "SELECT * FROM Piatto ORDER BY Ord", idpiatto, nomepiatto, "");
	if (!$result) {
		echo "errore facendo SELECT<P>";
		pg_ErrorMessage($DBConn);
	}

	pg_Close($DBConn);
	break;


/*      Modifica - part 2 */
case "modifica_2":

	echo "<B>Modifica la Pietanza</B><P>";

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	$ID = strtok($Selezione, " ");
	if (!InizializzaTupla("SELECT * FROM Piatto WHERE (IDPiatto = '$ID')", $Piatto)) {
		echo "Stai cercando di modificare una pietanza inesistente<P>";
		echo "o c'e` qualche altro errore...<P>";
		pg_ErrorMessage($DBConn);
	} else {
		StampaFormInserimento($Piatto, "$PHP_SELF?real_modify");?>
		<A HREF="<?echo $PHP_SELF?>?list">Annulla, ritorna all'inizio</A>
	<?}
	pg_Close($DBConn);
	break;


/*	Reale cancellazione dei dati */
case "real_delete":

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	/* eseguo la cancellazione... */
	if (!Cancella($ID)) {
		echo "Errore cancellando il dato!<BR>";
		echo "$phperrmsg<P>";
		pg_Close($DBConn);
	} else {?>

	<BR>Cancellazione effettuata con successo<P>
	<A HREF="<?echo "$PHP_SELF?list"?>">Ritorna alla Visualizzazione</A>

	<?}
	pg_Close($DBConn);
	break;


/*	Reale inserimento dei dati */
case "real_insert":

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	/* eseguo l'inserimento... */
	if (!Inserisci($Piatto)) {
		echo "Errore inserendo i dati!<BR>";
		echo "$phperrmsg<P>";
		pg_Close($DBConn);
	} else {?>

	Inserimento effettuato con successo<P>
	<A HREF="<?echo "$PHP_SELF?list"?>">Ritorna alla Visualizzazione</A>

	<?}
	pg_Close($DBConn);
	break;


/*	reale modifica dei dati */
case "real_modify":

	/* connessione al server... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	/* eseguo la modifica... */
	if (!Modifica($Piatto)) {
		echo "Errore modificando i dati!<BR>";
		echo "$phperrmsg<P>";
		pg_Close($DBConn);
	} else {?>

	Modifica effettuata con successo<P>
	<A HREF="<?echo "$PHP_SELF?list"?>">Ritorna alla Visualizzazione</A>

	<?}
	pg_Close($DBConn);
	break;

}

/* Footer standard */
include("../tail.php3")?>

</BODY>
</HTML>
