<HTML>

<HEAD>
<TITLE>Gestione fine serata</TITLE>
</HEAD>

<BODY>


<?
/* inizializzazione dei parametri comuni */
include("../config.php3");

/* pasticcio per il logo... */
$Logo   = "../images/$Logo";
$BackLink = "./index.php3";



/*	*****************************
 *	FUNZIONI DI UTILITA` GENERALE
 *	*****************************/

/* quelle in comune le carico da qui... */
include("./common.php3");


/* Inizializzo i totali di una serata... */
function InizializzaTotali($TS1, $TS2) {

global $DBConn;
global $QTA;


/* mi tocca pasare alle stringhe, PG non lo fa in automatico... */
$STS1 = date("Y-m-d H:i:s",$TS1);
$STS2 = date("Y-m-d H:i:s",$TS2);

/* Una delle query piu` pesanti... */
$result = pg_Exec($DBConn, "SELECT IDPiatto,SUM(Qta) as Totale from Composizione,Storia,Ordine WHERE ( (Stato <> 'D') AND ( (Tstamp > '$STS1') AND (Tstamp < '$STS2') ) AND (Composizione.Nordine = Storia.Nordine) AND (Composizione.DataOrdine = Storia.DataOrdine) AND (Composizione.Nordine = Ordine.Nordine) AND (Composizione.DataOrdine = Ordine.DataOrdine)) group by IDPiatto");
if (!$result)
	return($result);

$i = 0;
$rows = pg_NumRows($result);
while ( $i < $rows ) {
	$key = pg_Result($result,$i,"idpiatto");
	$QTA[$key] = IntVal(pg_Result($result,$i,"totale"));
	$i++;
}

return($result);

}


/*	*****************************************************
 *	FUNZIONI PER LA GESTIONE DELLA VISUALIZZAZIONE/STAMPA
 *	*****************************************************/

/* quelle in comune le carico da qui... */
include("../stampa.php3");
include("../visual.php3");


/* Stampa la miniform con il rolldown di selezione... */
function StampaFormIntervallo($URL) {


/* faccio un po' di conti per ottenere dei valori stampabili... */
$TS = Date("U");
$DI = Date("d/m/Y", IntVal($TS)-(12*60*60));
$OI = Date("H:i:s", IntVal($TS)-(12*60*60));
$DF = Date("d/m/Y", $TS);
$OF = Date("H:i:s", $TS);?>

<FORM ACTION="<?echo $URL?>" METHOD="post">
<TABLE>
<TR><TH></TH><TH>Data</TH><TH>Ora</TH></TR>
<TR><TD>Inizio</TD>
<TD><INPUT NAME="DI" TYPE=text MAXLENGTH=10 SIZE=10
	VALUE="<?echo $DI?>"></TD>
<TD><INPUT NAME="OI" TYPE=text MAXLENGTH=8 SIZE=8
	VALUE="<?echo $OI?>"></TD>
</TR>
<TR><TD>Fine</TD>
<TD><INPUT NAME="DF" TYPE=text MAXLENGTH=10 SIZE=10
	VALUE="<?echo $DF?>"></TD>
<TD><INPUT NAME="OF" TYPE=text MAXLENGTH=8 SIZE=8
	VALUE="<?echo $OF?>"></TD>
</TR></TABLE><BR>
<INPUT TYPE=submit VALUE="Ok">
</FORM><P>

<?

return(true);

}



/*	********************
 *	PROGRAMMA PRINCIPALE
 *	********************/

/* Header standard */
include("../head.php3");

/* sanity default... */
if ($argv[0] == "" ):
	$argv[0] = "list";
endif;


switch ($argv[0]) {

/*	Modalita` LISTA, menu principale... */
case "list": ?>

	<B>Sono possibili le operazioni:</B><P>

	<CENTER>
	<TABLE WIDTH=50%>
	<TR>
	<TD ALIGN=left><A HREF="<?echo $PHP_SELF?>?totali">
		Calcolo/Stampa totali</A></TD>
	</TR>
	</TABLE>
	</CENTER><P>

	<?break;


case "totali":?>

	In che intervallo di tempo devo calcolare/stampare i totali?<P>

	<?StampaFormIntervallo("$PHP_SELF?totali_2");

	break;


case "totali_2":

	/* mi connetto... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	/* ora devo costruire i due timestamp... */
	$TS1 = MkTime(substr($OI,0,2),substr($OI,3,2),substr($OI,6,2),substr($DI,3,2),substr($DI,0,2),substr($DI,6,4));
	$TS2 = MkTime(substr($OF,0,2),substr($OF,3,2),substr($OF,6,2),substr($DF,3,2),substr($DF,0,2),substr($DF,6,4));
	
	if ( (InizializzaPietanze("")) && (InizializzaTotali($TS1, $TS2)) ) {?>

		<B>Totale (da <?echo "$DI, $OI"?> a <?echo "$DF, $OF"?>):</B><P>
	
		<?StampaOrdine("", "", "", "", $QTA, "", "C");?>

		<CENTER>
		<TABLE WIDTH=50%>
		<TR>
		<TD ALIGN=left><A HREF="<?echo $PHP_SELF?>?stampa+&TS1=<?echo $TS1?>&TS2=<?echo $TS2?>">
			Stampa Totali</A></TD>
		</TR>
		</TABLE>
		</CENTER><P>
	<?} else {
		echo "Errore!<P>";
		pg_ErrorMessage($DBConn);
	}
	pg_Close($DBConn);
	break;


case "stampa":

	/* mi connetto... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	if ( (InizializzaPietanze("")) && (InizializzaTotali($TS1, $TS2)) ) {

		/* mi ricalcolo le variabili... */
		$DI = Date("d/m/Y", $TS1);
		$OI = Date("H:i:s", $TS1);
		$DF = Date("d/m/Y", $TS2);
		$OF = Date("H:i:s", $TS2);

		if (!LPRCassa("", "", "", "", $QTA, "Totali da $DI, $OI\n\r\t\ta $DF, $OF")) {
			echo "Errore mandando i totali in stampa!<BR>";
			pg_ErrorMessage($DBConn);
		} else
			echo "Totali fine serata dal $DI, $OI al $DF, $OF in stampa.<P>";
	} else {
		echo "Errore in facendo SELECT<P>";
		pg_ErrorMessage($DBConn);
	}

	pg_Close($DBConn);
	break;

}


/* Footer standard */
include("../tail.php3")?>

</BODY>
</HTML>
