<HTML>

<HEAD>
<TITLE>Gestione Volontari</TITLE>
</HEAD>

<BODY>

<?
/* inizializzazione dei parametri comuni */
include("../config.php3");

/* pasticcio per il logo... */
$Logo   = "../images/$Logo";
$BackLink = "./index.php3";


/*	*****************************
 *	FUNZIONI DI UTILITA` GENERALE
 *	*****************************/

/* quelle in comune le carico da qui... */
include("./common.php3");



/*	****************************
 *	FUNZIONI DI MANIPOLAZIONE BD
 *	****************************/

/* Elimino il volontario di con IDVolontario = ID
   E` da notare che questo dovrebbe automaticamente richiamare
   l'integrita` referenziale, e quindi porre a NULL tutte i riferimenti
   nella tabella ``Storia''. Chiaramente questo con PostGreSQL non
   accade, ma da comunque non e` cosi' importante, visto che debbo
   mantenere comunque tutta l'informazione in Storia... */
function Cancella($ID) {

global $DBConn;


/* elimino il record incriminato */
$result = pg_Exec($DBConn, "DELETE FROM Volontario WHERE (IDVolontario = '$ID')");

return($result);

}


/* inserisco un record... */
function Inserisci($Volontario) {

global $DBConn;


/* eseguo l'inserimento... */
$result = pg_Exec($DBConn, "INSERT INTO Volontario VALUES ('$Volontario[idvolontario]', '$Volontario[nome]', '$Volontario[cognome]', '$Volontario[servizio]', '$Volontario[datadinascita]', '$Volontario[indirizzo]')");

return($result);

}


/* modifico un record... */
function Modifica ($Volontario) {

global $DBConn;


/* eseguo l'inserimento... */
$result = pg_Exec($DBConn, "UPDATE Volontario SET Nome='$Volontario[nome]', Cognome='$Volontario[cognome]', Servizio='$Volontario[servizio]', DataDiNascita='$Volontario[datadinascita]', Indirizzo='$Volontario[indirizzo]' WHERE (IDVolontario = '$Volontario[idvolontario]')");

/* chiudo la connessione e ritorno... */
return($result);

}




/*	*****************************************************
 *	FUNZIONI PER LA GESTIONE DELLA VISUALIZZAZIONE/STAMPA
 *	*****************************************************/

/* Form di inseriemnto e modifica dei dati */
function StampaFormInserimento($Volontario, $URL) {


/* determino il tipo di campo nella form (se e` una modifica non devo
   modificare l'ID, e quindi deve essere hidden)
 */
if ($Volontario[idvolontario] == "") {
	$f = "text";
} else {
	$f = "hidden";
}?>

<FORM ACTION="<?echo $URL?>" METHOD="post">
<TABLE>
<TR>	<TD><B>IDVolontario</B></TD>
	<TD COLSPAN=2><?echo "$Volontario[idvolontario]"?><INPUT NAME="ID" TYPE="<?echo $f?>" SIZE=2
		MAXLENGTH=2 VALUE="<?echo $Volontario[idvolontario]?>"></TD></TR>
<TR>	<TD><B>Nome</B></TD>
	<TD COLSPAN=2><INPUT NAME="Nome" TYPE=text MAXLENGTH=20
		VALUE="<?echo $Volontario[nome]?>"></TD></TR>
<TR>	<TD><B>Cognome</B></TD>
	<TD COLSPAN=2><INPUT NAME="Cognome" TYPE=text MAXLENGTH=20
		VALUE="<?echo $Volontario[cognome]?>"></TD></TR>
<TR>	<TD><B>Servizio</B></TD>
	<TD COLSPAN=2>
	Cassiere  <INPUT NAME="Servizio" TYPE=radio VALUE="C" <?if (($Volontario[servizio] == "C") || ($Volontario[3] == "")) { echo "CHECKED"; }?>>
	Cameriere <INPUT NAME="Servizio" TYPE=radio VALUE="A" <?if ($Volontario[servizio] == "A") { echo "CHECKED"; }?>>
	Vassoista <INPUT NAME="Servizio" TYPE=radio VALUE="V" <?if ($Volontario[servizio] == "V") { echo "CHECKED"; }?>>
	</TD></TR>
<TR>	<TD><B>Data di Nascita</B></TD>
	<TD COLSPAN=2><INPUT NAME="DataDiNascita" TYPE=text MAXLENGTH=10 SIZE=10
		VALUE="<?echo $Volontario[datadinascita]?>">  (formato 19AAMMGG)</TD></TR>
<TR>	<TD><B>Indirizzo</B></TD>
	<TD COLSPAN=2><INPUT NAME="Indirizzo" TYPE=text MAXLENGTH=40
		VALUE="<?echo $Volontario[indirizzo]?>"></TD></TR>
<TR>	<TD></TD>
	<TD><INPUT TYPE=submit VALUE="Ok"></TD>
	<TD><INPUT TYPE=reset VALUE="Azzera tutto"></TD>
</TABLE>
</FORM><P>

<?return(0);

}


/*	********************
 *	PROGRAMMA PRINCIPALE
 *	********************/

/* Header standard */
include("../head.php3");

/* sanity default... */
if ($argv[0] == "" ):
	$argv[0] = "list";
endif;

/* Mi devo ricopiare le variabili... */
if ($ID != "" ):
	$Volontario[idvolontario] = $ID;
	$Volontario[nome] = $Nome;
	$Volontario[cognome] = $Cognome;
	$Volontario[servizio] = $Servizio;
	$Volontario[indirizzo] = $Indirizzo;
	$Volontario[datadinascita] = $DataDiNascita;
endif;


switch ($argv[0]) {

/*	Modalita` LISTA */
case "list":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	/* seleziono i nominativi... */
	if (!StampaLista("SELECT * FROM Volontario ORDER BY Servizio,Nome")) {
		echo "Problema facendo SELECT<P>\n";
		pg_ErrorMessage($DBConn);
	} else {?>

	<CENTER>
	<TABLE WIDTH=50%>
	<TR>
	<TD ALIGN=center><A HREF="<?echo $PHP_SELF?>?inserisci">
		Inserisci</A></TD>
	<TD ALIGN=center><A HREF="<?echo $PHP_SELF?>?modifica">
		Modifica</A></TD>
	<TD ALIGN=center><A HREF="<?echo $PHP_SELF?>?cancella">
		Cancella</A></TD>
	</TR>
	</TABLE>
	</CENTER><P>

	<?}
	pg_close($DBConn);
	break;


/*	Modalita` inserimento*/
case "inserisci": ?>

	<B>Inserisci un Volontario</B><P>

	<?StampaFormInserimento("", "$PHP_SELF?real_insert")?>

	<A HREF="<?echo $PHP_SELF?>?list">
		Annulla, ritorna all'inizio</A><P>

	<?break;


/*	Cancellazione prima parte */
case "cancella":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	echo "<B>Seleziona un volontario da cancellare</B><P>";

	if (!StampaFormSelezione("$PHP_SELF?cancella_2", "SELECT * FROM Volontario ORDER BY Servizio,Nome", idvolontario, nome, cognome)) {
		echo "Problema facendo SELECT<P>";
		pg_ErrorMessage($DBConn);
	}

	pg_close($DBConn);
	break;


/*	Cancellazione seconda parte */
case "cancella_2":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	echo "<BF>Sei sicuro di voler cancelare il volontario:</BF><P>";

	/* stampo il nominativo... */
	$ID = strtok($Selezione, " ");
	if (!StampaLista("SELECT * FROM Volontario WHERE (IDVolontario = '$ID') ORDER BY Servizio,Nome")) {
		echo "Stai cercando di cancellare un utente inesistente<P>";
		echo "o c'e` qualche altro errore...<P>";
		pg_ErrorMessage($DBConn);
	} else {?>

	<A HREF="<?echo $PHP_SELF?>?real_delete++&ID=<?echo $ID?>">Si</A>
	<A HREF="<?echo $PHP_SELF?>?list">No, ritorna all'inizio</A>
	</BODY></HTML>

	<?}
	pg_close($DBConn);
	break;


/*	Modifica */
case "modifica":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	echo "<B>Seleziona un volontario da modificare </B><P>";

	if (!StampaFormSelezione("$PHP_SELF?modifica_2", "SELECT * FROM Volontario ORDER BY Servizio,Nome", idvolontario, nome, cognome)) {
		echo "Problema facendo SELECT<P>";
		pg_ErrorMessage($DBConn);
	}

	pg_close($DBConn);
	break;


/*      Modifica */
case "modifica_2":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	echo "<BF>Modifica dei dati di un Volontario</BF><P>";

	$ID = strtok($Selezione, " ");
	if (!InizializzaTupla("SELECT * FROM Volontario WHERE (IDVolontario = '$ID')", $Volontario)) {
		echo "Stai cercando di modificare un utente inesistente<P>";
		echo "o c'e` qualche altro errore...<P>";
		pg_ErrorMessage($DBConn);
	} else {
		StampaFormInserimento($Volontario,"$PHP_SELF?real_modify");
		echo "<A HREF=\"$PHP_SELF?list\">Annulla, ritorna all'inizio</A>";
	}
	pg_close($DBConn);
	break;


/*	Reale cancellazione dei dati */
case "real_delete":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	/* eseguo la cancellazione... */
	if (Cancella($ID)) {?>
		<BR>Cancellazione effettuata con successo<P>
		<A HREF="<?echo "$PHP_SELF?list"?>">Ritorna alla Visualizzazione</A>
	<?} else {
		echo "<BR>Errore cancellando il dato!<BR>";
		pg_ErrorMessage($DBConn);
	}

	pg_close($DBConn);
	break;


/*	Reale inserimento dei dati */
case "real_insert":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	/* eseguo l'inserimento... */
	if (Inserisci($Volontario)) {?>
		<BR>Inserimento effettuato con successo<P>
		<A HREF="<?echo "$PHP_SELF?list"?>">Ritorna alla Visualizzazione</A>
	<?} else {
		echo "<BR>Errore inserendo i dati!<BR>";
		pg_ErrorMessage($DBConn);
	}

	pg_close($DBConn);
	break;


case "real_modify":

	/* connessione al server */
	$DBConn = pg_connect($SQLHost, "", "", "", $DBName);

	/* eseguo la modifica... */
	if ( Modifica($Volontario) ) {?>
		<BR>Modifica effettuata con successo<P>
		<A HREF="<?echo "$PHP_SELF?list"?>">Ritorna alla Visualizzazione</A>
	<?} else {
		echo "<BR>Errore modificando i dati!<BR>";
		pg_ErrorMessage($DBConn);
	}

	pg_close($DBConn);
	break;

}

/* Footer standard */
include("../tail.php3")?>

</BODY>
</HTML>
