<?
/*	**********************************************
 *	FUNZIONI PER LA GESTIONE DELLA VISUALIZZAZIONE
 *		   (usate un po' da tutti)
 *	***********************************************/

/* Stampo un ordine singolo su una pagina */
function StampaOrdine($NO, $D, $TS, $IDV, $QTA, $NC, $T) {

global $nomep,$prezzop;


/* informazioni sull'ordine... */
if ( ($NO != "") && ($D != "") ) {
	$D = sprintf("%s/%s/%s", substr($D,8,2), substr($D,5,2), substr($D,0,4));
	echo "Ordine $NO del $D<BR>";
}

/* informazioni su volontario e data inserimento... */
if ( $IDV != "" ) {
	echo "Inserito da $IDV ";
}
if ( $TS != "" ) {
	$O = Date("H:i:s",$TS);
	$cur = IntVal(Date("U"));
	$A = ($cur - Intval($TS)) / 60;
	echo "alle $O (<B>$A</B> minuti fa)<P>";
} else
	echo "<P>";


echo "<TABLE><TR><TH>Descrizione</TH>";
if ( $T == "C" ) {
	echo "<TH>Prezzo</TH>";
}
echo "<TH>Qta</TH>";
if ( $T == "C" ) {
	echo "<TH>Importo</TH></TR>";
}
$i = 0;
$sum = 0;
$tot = 0;
Reset($QTA);
while ($i < Count($QTA)):
	echo "<TR>";
	$key = Key($QTA);
	echo "<TD>$nomep[$key]</TD>";
	if ( $T == "C" ) {
		$v = ConvertiValuta($prezzop[$key]);
		echo "<TD>$v</TD>";
	}
	echo "<TD>$QTA[$key]</TD>";
	if ( $T == "C" ) {
		$sum = ($QTA[$key]*$prezzop[$key]);
		$ssum = ConvertiValuta($sum);
		echo "<TD>$ssum</TD>";
		$tot = $tot + $sum;
	}
	$i++;
	Next($QTA);
	echo "</TR>";
endwhile;
if ( $T == "C" ) {
	$stot = ConvertiValuta($tot);
	echo "<TR></TR><TR><TD><B>Totale:</B></TD><TD></TD><TD></TD><TD><B>$stot</B></TD></TR></TABLE><P>";
} else {
	echo "</TABLE><P>";
}

if ( $NC != "" ) {
	echo "<P><BLINK>Nome Cliente</BLINK>: $NC";
}

echo "<P>";

return(true);

}



/* Form di inserimento dei dati
   Notare che passo anche NO e D perche` potrebbe essere prevista anche
   una modifica dell'ordine in future versioni del programma */
function StampaFormInserimento($NO,$D,$QTA,$NC,$URL) {

global $nomep, $prezzop;
global $IDCorrente;


/* sanity check */
if ( $IDCorrente == "" ) {
	return(-1);
}

/* se e` una ristampa metto l'ordine... */
if ( ($NO!="") && ($D!="") ) {
	echo "Ordine numero $NO del $D<BR>";
}?>

<FORM ACTION="<?echo $URL?>" METHOD=post>
<INPUT NAME=NO TYPE=hidden VALUE="<?echo $NO?>">
<INPUT NAME=D TYPE=hidden VALUE="<?echo $D?>">

<TABLE>
<TR>	<TH>Descrizione</TH>
	<TH>Prezzo</TH>
	<TH>Qta</TH>
	<TH>Importo</TH></TR>

<?$i = 0;
$sum = 0;
$tot = 0;
Reset($nomep);
while ($i < Count($nomep)) {
	echo "<TR>";
	$key = Key($nomep);
	if ( $nomep[$key] != "separatore" ) {
		if ($QTA[$key] == "") {
			$q = 0;
			$sum = 0;
		} else {
			$q = $QTA[$key];
			$sum = $q * $prezzop[$key];
		}?>
		<TD><?echo $nomep[$key]?></TD>
		<TD><?echo $prezzop[$key]?></TD>
		<TD><INPUT NAME="<?echo $key?>" TYPE=text MAXLENGTH=5 SIZE=5"
			VALUE="<?echo $QTA[$key]?>"></TD>
		<TD><?echo $sum?></TD>
		<?$tot = $tot + $sum;
	} 
	$i++;
	Next($nomep);
	echo "</TR>";
}?>
<TR>	<TD><B>Totale:</B></TD>
	<TD></TD><TD></TD>
	<TD><B><?echo $tot?></B></TD></TR>
<TR>	</TR>
<TR>	<TD>Nome Cliente</TD>
	<TD COLSPAN=2><INPUT NAME=NC TYPE=text MAXLENGTH=20 SIZE=10
		VALUE="<?echo $NC?>"></TD>
	<TD>(solo se da asporto)</TD></TR>
<TR>	</TR>
<TR>	<TD><INPUT TYPE=submit VALUE="Ok"></TD>
	<TD COLSPAN=2><INPUT TYPE=reset VALUE="Azzera tutto"></TD></TR>
</TABLE>
</FORM>

<?return(0);

}



/* stampo una lista di 10 ordini, query pesante ma s'ha da fare... ;(((
   NOTA che passo i soliti identificativi via GET, due palle farlo via
        POST... ;((( */
old_function StampaTabellaOrdini (

global $DB;
global $nomep;


/* per prima cosa facciamo una raccolta di ordini abilitati o da
   asporto... */
$ordini = mysql($DB, "SELECT Ordine.Nordine,Ordine.DataOrdine,Stato,IDVolontario,UNIX_TIMESTAMP(Tstamp) AS UTstamp,Composizione.IDPiatto,Qta FROM Ordine NATURAL LEFT JOIN Storia NATURAL LEFT JOIN Composizione NATURAL LEFT JOIN Piatto WHERE ((Stato='X' OR Stato='A') AND Tipo = 'C') ORDER BY Ordine.DataOrdine,Ordine.Nordine,Tipo,Ord");
if ( $ordini < 0 ) {
	return(-1);
}

/* stampo l'intestazione della tabella... */
echo "<TABLE>";
echo "<TR>";
echo "<TH>No</TH><TH>Data</TH>";
$i = 0;
reset($nomep);
while ( $i < Count($nomep) ) {
	$key = Key($nomep);
	echo "<TH>$key</TH>";
	Next($nomep);
	$i++;
}
echo "<TH>Ora</TH><TH>Delta</TH><TH>Nome</TH>";
echo "</TR>";

/* ora un bel loop, gli ordini cosi' estratti sono gia` naturalmente
   ordinati per numero d'ordine e data, ovvero l'ordine che vogliamo!
   Non stampo piu' di 10 ordini... */
$i = 0;
$j = 0;
$rows = mysql_NumRows($ordini);
while ( ($i < $rows) && ($j < 10) ) {

	$NO = mysql_result($ordini,$i,"Nordine");
	$D = mysql_result($ordini,$i,"DataOrdine");
	$IDV = mysql_Result($ordini,$i,"IDVolontario");
	$TS = mysql_Result($ordini,$i,"UTstamp");
	$S = mysql_result($ordini,$i,"Stato");

	/* fino a che non cambio chiave o finisco i record... */
	while ( (mysql_result($ordini,$i,"Nordine") == $NO) && (mysql_result($ordini,$i,"DataOrdine") == $D) && ($i < $rows) ) {
		$key = mysql_Result($ordini,$i,"IDPiatto");
                $QTA[$key] = mysql_Result($ordini,$i,"Qta");
		$i++;
	}

	/* se e` da asporto mi vado a beccare il nome del cliente... */
	if ($S == "X") {
		$result = mysql($DB, "SELECT NomeCliente FROM Asporto WHERE (Nordine = '$NO' AND DataOrdine = '$D')");
		if ( ($result > 0) && (mysql_NumRows($result) > 0) ) {
			$NC = mysql_Result($result,0,"NomeCliente");
		}
	} else {
		$NC = "";
	}?>

	<TR>
	<TD><A HREF="<?echo $PHP_SELF?>?sceltaID+&NO=<?echo $NO?>&D=<?echo $D?>"><?echo $NO?></A></TD>
	<?$D = substr($D,8,2) +"/"+ substr($D,5,2) +"/"+ substr($D,0,4);
	echo "<TD>$D</TD>";

	$k = 0;
	Reset($nomep);
	while ( $k < Count($nomep) ) {
		$key = Key($nomep);
		echo "<TD>$QTA[$key]</TD>";
		$QTA[$key] = "";
		Next($nomep);
		$k++;
	}

	$O = Date("H:i:s",$TS);
	$cur = IntVal(Date("U"));
	$A = ($cur - Intval($TS)) / 60;
	echo "<TD>$O</TD><TD>$A</TD><TD>$NC</TD>";

	echo "</TR>";	
	$j++;
}

/* ora mi tocca farlo di nuovo... devo calcolare i totali per
   dare le dritte ai cuochi, questa query e` un macigno... */
$result = mysql($DB, "SELECT IDPiatto,SUM(Qta) AS Qtot FROM Composizione NATURAL LEFT JOIN Ordine WHERE (Stato = 'A' OR Stato = 'X') GROUP BY IDPiatto");
if ($result < 0) {
	return(-1);
}

/* estraggo i totali... */
$j = 0;
while ( $j < mysql_NumRows($result) ) {
	$key = mysql_Result($result,$j,"IDPiatto");
	$QTOT[$key] = mysql_Result($result,$j,"Qtot");
	$j++;
}

/* ora stampo i totali... notare che ho estratto anche la roba da bar e
   che qui stampo solo quello che mi serve... */
echo "<TR><TD><B>Totali</B></TD><TD></TD>";
$j = 0;
Reset($nomep);
while ( $j < Count($nomep) ) {
	$key = Key($nomep);
	echo "<TD><B>$QTOT[$key]</B></TD>";
	Next($nomep);
	$j++;
}

echo "<TD></TD><TD></TD><TD></TD></TR></TABLE>";

return(0);

);

/* FINE */?>