<?
/*	**********************************************
 *	FUNZIONI PER LA GESTIONE DELLA VISUALIZZAZIONE
 *		   (usate un po' da tutti)
 *	***********************************************/


/* Stampo un ordine singolo su una pagina, non usa le tables di HTML ma
   brutali spazi... */
function StampaOrdine($NO, $D, $TS, $IDV, $QTA, $NC, $T) {

global $nomep, $prezzop;


/* informazioni sull'ordine... */
if ( ($NO != "") && ($D != "") ) {
	$D = sprintf("%s/%s/%s", substr($D,8,2), substr($D,5,2), substr($D,0,4));
	echo "Ordine $NO del $D<BR>";
}

/* informazioni su volontario e data inserimento... */
if ( $IDV != "" ) {
	echo "Inserito da $IDV ";
}
if ( $TS != "" ) {
	$O = Date("H:i:s",$TS);
	$cur = IntVal(Date("U"));
	$A = ($cur - Intval($TS)) / 60;
	echo "alle $O (<B>$A</B> minuti fa)<P>";
} else
	echo "<P>";

/* stampo l'intestazione... */
echo "<B>Descrizione";
Nbsp(24 - 11);
if ( $T == "C" ) {
	echo "Prezzo";
	Nbsp(4);
}
echo "Qta";
if ( $T == "C" ) {
	Nbsp(5);
	echo "Importo";
}
echo "</B><BR>";

$i = 0;
$sum = 0;
$tot = 0;
Reset($nomep);
while ($i < Count($nomep)) {
	$key = Key($nomep);
	if ( Is_Integer($QTA[$key]) ) {
		echo "$nomep[$key]";
		Nbsp(24 - strlen($nomep[$key]));
		if ( $T == "C" ) {
			$prezzo = ConvertiValuta($prezzop[$key]);
			Nbsp(6 - strlen($prezzo));
			echo "$prezzo";
			Nbsp(4);
		}
		Nbsp(3 - strlen($QTA[$key]));
		echo "$QTA[$key]";
		if ( $T == "C" ) {
			$sum = $QTA[$key]*$prezzop[$key];
			$ssum = ConvertiValuta($sum);
			Nbsp(8 + (4-strlen($ssum)));
			echo "$ssum";
			$tot = $tot + $sum;
		}
		echo "<BR>";
	} else if ( $nomep[$key] == "separatore")
		echo "<BR>";
	$i++;
	Next($nomep);
}
if ( $T == "C" ) {
	echo "<B>Totale:";
	$stot = ConvertiValuta($tot);
	Nbsp(42 - strlen($stot));
	echo "$stot</B><P>";
}

if ( $NC != "" ) {
	echo "<P><BLINK>Nome Cliente</BLINK>: $NC";
}

echo "<P>";

return(true);

}


/* Form di inserimento dei dati
   Notare che passo anche NO e D perche` potrebbe essere prevista anche
   una modifica dell'ordine in future versioni del programma */
function StampaFormInserimento($NO, $D, $QTA, $NC, $URL) {

global $nomep, $prezzop;


/* se e` una ristampa metto l'ordine... */
if ( ($NO != "") && ($D != "") )
	echo "Ordine numero $NO del $D<BR>";
?>

<FORM ACTION="<?echo $URL?>" METHOD=post>
<INPUT NAME=NO TYPE=hidden VALUE="<?echo $NO?>">
<INPUT NAME=D TYPE=hidden VALUE="<?echo $D?>">

<?/* stampo la prima riga... */
echo "<B>Descrizione";
Nbsp(20-11);
echo "Prezzo";
Nbsp(3);
echo "Qta";
Nbsp(5);
echo "Importo</B><BR>";

$i = 0;
$sum = 0;
$tot = 0;
Reset($nomep);
while ($i < Count($nomep)) {
	$key = Key($nomep);
	if ( $nomep[$key] != "separatore" ) {
		if ( !Is_Integer($QTA[$key]) )
			$sum = 0;
		else
			$sum = $QTA[$key] * $prezzop[$key];
		echo "$nomep[$key]";
		Nbsp(1);
		Puntini(20-strlen($nomep[$key])+4-strlen($prezzop[$key]));
		Nbsp(1);
		echo "$prezzop[$key]";
		Nbsp(2);
		echo "<INPUT NAME=$key TYPE=text MAXLENGTH=5 SIZE=5"?>
		VALUE="<?echo $QTA[$key]?>"><?Nbsp(3); echo $sum?><BR>
		<?$tot = $tot + $sum;
	} else
		echo "&nbsp;<BR>";
	$i++;
	Next($nomep);
}
echo "<P>Totale:";
Nbsp(30);
echo "$tot<P>"?>

Nome Cliente<?Nbsp(8)?><INPUT NAME=NC TYPE=text MAXLENGTH=20 SIZE=10
	VALUE="<?echo $NC?>"> (solo se da asporto)<P>
<INPUT TYPE=submit VALUE="Ok">
<INPUT TYPE=reset VALUE="Azzera tutto">
</FORM>

<?return(true);

}



/*
 *	UNIMPLEMENTED
 *	(queste sono rimaste a tabelle, due scatole farle a spazi...)
 */

/* stampo una lista di 10 ordini, query pesante ma s'ha da fare... ;(((
   NOTA che passo i soliti identificativi via GET, due palle farlo via
        POST... ;((( */
old_function StampaTabellaOrdini (

global $DB;
global $nomep;


/* per prima cosa facciamo una raccolta di ordini abilitati o da
   asporto... */
$ordini = mysql($DB, "SELECT Ordine.Nordine,Ordine.DataOrdine,Stato,IDVolontario,UNIX_TIMESTAMP(Tstamp) AS UTstamp,Composizione.IDPiatto,Qta FROM Ordine NATURAL LEFT JOIN Storia NATURAL LEFT JOIN Composizione NATURAL LEFT JOIN Piatto WHERE ((Stato='X' OR Stato='A') AND Tipo = 'C') ORDER BY Ordine.DataOrdine,Ordine.Nordine,Tipo,Ord");
if ( $ordini < 0 ) {
	return(-1);
}

/* stampo l'intestazione della tabella... */
echo "<TABLE>";
echo "<TR>";
echo "<TH>No</TH><TH>Data</TH>";
$i = 0;
reset($nomep);
while ( $i < Count($nomep) ) {
	$key = Key($nomep);
	echo "<TH>$key</TH>";
	Next($nomep);
	$i++;
}
echo "<TH>Ora</TH><TH>Delta</TH><TH>Nome</TH>";
echo "</TR>";

/* ora un bel loop, gli ordini cosi' estratti sono gia` naturalmente
   ordinati per numero d'ordine e data, ovvero l'ordine che vogliamo!
   Non stampo piu' di 10 ordini... */
$i = 0;
$j = 0;
$rows = mysql_NumRows($ordini);
while ( ($i < $rows) && ($j < 10) ) {

	$NO = mysql_result($ordini,$i,"Nordine");
	$D = mysql_result($ordini,$i,"DataOrdine");
	$IDV = mysql_Result($ordini,$i,"IDVolontario");
	$TS = mysql_Result($ordini,$i,"UTstamp");
	$S = mysql_result($ordini,$i,"Stato");

	/* fino a che non cambio chiave o finisco i record... */
	while ( (mysql_result($ordini,$i,"Nordine") == $NO) && (mysql_result($ordini,$i,"DataOrdine") == $D) && ($i < $rows) ) {
		$key = mysql_Result($ordini,$i,"IDPiatto");
                $QTA[$key] = mysql_Result($ordini,$i,"Qta");
		$i++;
	}

	/* se e` da asporto mi vado a beccare il nome del cliente... */
	if ($S == "X") {
		$result = mysql($DB, "SELECT NomeCliente FROM Asporto WHERE (Nordine = '$NO' AND DataOrdine = '$D')");
		if ( ($result > 0) && (mysql_NumRows($result) > 0) ) {
			$NC = mysql_Result($result,0,"NomeCliente");
		}
	} else {
		$NC = "";
	}?>

	<TR>
	<TD><A HREF="<?echo $PHP_SELF?>?sceltaID+&NO=<?echo $NO?>&D=<?echo $D?>"><?echo $NO?></A></TD>
	<?$D = substr($D,8,2) +"/"+ substr($D,5,2) +"/"+ substr($D,0,4);
	echo "<TD>$D</TD>";

	$k = 0;
	Reset($nomep);
	while ( $k < Count($nomep) ) {
		$key = Key($nomep);
		echo "<TD>$QTA[$key]</TD>";
		$QTA[$key] = "";
		Next($nomep);
		$k++;
	}

	$O = Date("H:i:s",$TS);
	$cur = IntVal(Date("U"));
	$A = ($cur - Intval($TS)) / 60;
	echo "<TD>$O</TD><TD>$A</TD><TD>$NC</TD>";

	echo "</TR>";	
	$j++;
}

/* ora mi tocca farlo di nuovo... devo calcolare i totali per
   dare le dritte ai cuochi, questa query e` un macigno... */
$result = mysql($DB, "SELECT IDPiatto,SUM(Qta) AS Qtot FROM Composizione NATURAL LEFT JOIN Ordine WHERE (Stato = 'A' OR Stato = 'X') GROUP BY IDPiatto");
if ($result < 0) {
	return(-1);
}

/* estraggo i totali... */
$j = 0;
while ( $j < mysql_NumRows($result) ) {
	$key = mysql_Result($result,$j,"IDPiatto");
	$QTOT[$key] = mysql_Result($result,$j,"Qtot");
	$j++;
}

/* ora stampo i totali... notare che ho estratto anche la roba da bar e
   che qui stampo solo quello che mi serve... */
echo "<TR><TD><B>Totali</B></TD><TD></TD>";
$j = 0;
Reset($nomep);
while ( $j < Count($nomep) ) {
	$key = Key($nomep);
	echo "<TD><B>$QTOT[$key]</B></TD>";
	Next($nomep);
	$j++;
}

echo "<TD></TD><TD></TD><TD></TD></TR></TABLE>";

return(0);

);

/* FINE */?>