<HTML>

<HEAD>
<TITLE>Cancellazione Ordini</TITLE>
</HEAD>

<BODY>


<?
/* inizializzazione dei parametri comuni */
include("../config.php3");

/* pasticcio per il logo... */
$Logo   = "../images/$Logo";
$BackLink = "./index.php3";



/*	****************************
 *	FUNZIONI DI MANIPOLAZIONE BD
 *	****************************/

/* elimino fisicamente gli ordini dal database che sono stati
   semplicemente marcati ``D'' in fase di input */
function CancellaOrdini() {

global $DBConn;


/* prelevo gli ordini marcati D... */
$result = pg_Exec($DBConn, "SELECT * FROM Ordine WHERE (Stato = 'D')");
if (!$result)
	return($result);

/* quanti ce ne sono?! */
$num = pg_NumRows($result);

/* se c'e` qualche record... */
if ($num != 0) {

	/* Inizio la transazione ACID */
	$commit = pg_Exec($DBConn, "BEGIN TRANSACTION");

	/* cancello quello che c'e` da cancellare... */
	$i = 0;
	while ( ($i < $num) && ($commit) ) {
		$N = pg_Result($result,$i,"nordine");
		$D = pg_Result($result,$i,"dataordine");

		/* se esco qui, esco male perche` senno` sbaglio i conti di
		   fine serata... */
		if ( ($commit) && (!pg_Exec($DBConn, "DELETE FROM Composizione WHERE (Nordine=$N AND DataOrdine='$D')")) )
			$commit = false;

		/* anche qui se qualcosa non funziona e` bene uscire male... */
		if ( ($commit) && (!pg_Exec($DBConn, "DELETE FROM Storia WHERE (Nordine=$N AND DataOrdine='$D')")) )
			$commit = false;

		/* ora basta, anche se falliscono queste, chi se ne frega... ;-)))
		   Fondamentalmente queste possono fallire, visto che se
		   l'ordine ha un tavolo non ha un asporto e viceversa... */
		if ($commit) {
			pg_Exec($DBConn, "DELETE FROM Asporto WHERE (Nordine=$N AND DataOrdine='$D')");
			pg_Exec($DBConn, "DELETE FROM Tavolo WHERE (Nordine=$N AND DataOrdine='$D')");
		}

		$i++;
	}

	/* ottimo, abbiamo cancellato tutti i riferimenti, ora cancelliamo
	   i dati veri e propri... */
	if ( ($commit) && (!pg_Exec($DBConn, "DELETE FROM Ordine WHERE (Stato = 'D')")) )
		$commit = false;

} else	// 0 record, non e` un errore!!!
	return(true);

if ($commit)
	pg_Exec($DBConn, "COMMIT");
else
	pg_Exec($DBConn, "ROLLBACK");


return($commit);

}


/*	************************
 *	* PROGRAMMA PRINCIPALE *
 * 	************************/

/* Header standard */
include("../head.php3");

/* sanity default... */
if ( $argv[0] == "" ):
	$argv[0] = "list";
endif;


switch ($argv[0]) {

/*	Modalita` LISTA, menu principale... */
case "list":?>

	<B>Sono possibili le operazioni:</B><P>

	<CENTER>
	<TABLE WIDTH=50%>
	<TR>
	<TD ALIGN=left><A HREF="<?echo $PHP_SELF?>?cancella">
		Cancellazione ordini</A></TD>
	</TR>
	</TABLE>
	</CENTER><P>

	<?break;

case "cancella":

	/* mi connetto... */
	$DBConn = pg_Connect($SQLHost, "", "", "", $DBName);

	$result = CancellaOrdini();
	if (!$result) {
		echo "Transazione Annullata, Errore.<P>";
		pg_ErrorMessage($DBConn);
	} else
		echo "Transazione effettuata con successo<P>";

	pg_Close($DBConn);
	break;

}


/* Footer standard */
include("../tail.php3")?>

</BODY>
</HTML>
